<?php

/*
 * Copyright (C) TIPS4DESIGN SRL - All Rights Reserved
 * Unauthorized copying of this file or any parts of it, via any medium is strictly prohibited
 * Only a valid UXWizz license holder should have access to this file
 * Proprietary and confidential
 * Written by Cristian Buleandră <cristian@uxwizz.com>, Mon 04 March 2024
 */


require_once __DIR__ . '/../../login.php';
require_once __DIR__ . '/../../permissions.php';
try { checkPermission('SET_GPT_API_KEY'); } catch(Exception $e) { die($e->getMessage());}

$model = $_POST['model'];

require_once __DIR__ . '/availableModels.php';

if (!in_array($model, $availableModels)) {
    die('Unknown model type.');
}

$query = "INSERT INTO `ust_meta` (`key`, `value`) VALUES('CHATBOT_SETTING_CHATGPT_MODEL', :model)
          ON DUPLICATE KEY UPDATE `value`=VALUES(`value`)";
$stmt = $db->prepare($query);
$stmt->bindValue(':model', $model, PDO::PARAM_STR);
$ok = $stmt->execute();

if (!$ok) {
    die('ERROR: Could not set API key.');
}
?>